technical:
  error:
    handler:
      state_not_defined: Les données du handler (state) n'ont été définie
global:
  error:
    500: Une erreur est survenue
    400: Le service n'a pas pu executer la requête.
    401: Accès non autorisé
    404: L'élément n'a pas été trouvé
  #app id
  app_id:
    missing: client app ID is missing
    empty: client app ID is empty
    invalid_for_log: client app ID is invalid (%appId)
  bearer:
    invalid: Accès non autorisé
    expired: Votre session a expirée, veuillez vous reconnecter
  password:
    invalid_password_match: L'auhtentification a échouée

  session:
    error:
      default: Une erreur est survenue (invalid session)
      missing_arguments: Imposibble d'initialiser la session
      empty_session: La session n'a pas encore été initialisée
      invalid_argument:
        access_token: Impossible de créer une session (missing token)
        app_id: Impossible de créer une session (missing app ID)
        expires: Impossible de créer une session (missing date expires)
        app_not_same: Impossible de créer une session (app ID not same)

# Factories -----------------------------------------------------
factory:
  user:
    invalid_requirement: Factory exception -> missing %param

#Command default messages (for generated code), do not remove ----------
command:
  message:
    payload_validator: Payload invalide
    success: Nouveau service '%servicePath' créé avec succès
    error: Nouveau service en erreur
#-----------------------------------------------------------------------
#Bearer token
bearer:
  invalid_token: Token non valide
  empty_token: Token vide
#repository
repository:
  signin:
    error_occured: Sorry, an error occured
    user_not_found: User not found
#authentication process
auth:
  error:
    500: Internal error, something went wrong
    missing_email: You must provide your email (invalid arg)
    empty_email: You must provide your email (empty)
    invalid_email: You must provide a valid email
    missing_password: You must provide a password (invalid arg)
    empty_password: You must provide a password (empty)
    missing_client: You must provide an App ID (invalid arg)
    empty_client: 'You must provide an App ID (empty)'
    unknown_email: "Unkown user's email"
    unknown_user: "Unkown user"

create_identity:
  success:  Utilisateur créé avec succès
  error:
    500: Une erreur est survenue
    401: Accès non autorisé
    user_already_exists: L'adresse e-mail saisie est déjà utilisée (%email)
    login_empty: Le champ login est obligatoire
    login_invalid: L'adresse e-mail que vous avez saisie n'est pas valide
    firstname_empty: Le champ prénom est obligatoire
    lastname_empty: Le champ nom est obligatoire
    password_empty: Vous devez choisir un mot de passe
    passwordConfirm_empty: Vous devez confirmer votre mot de passe
    password_strength_failed: Password must be at least 8 characters in length and must contain at least one number, one upper case letter, one lower case letter and one special character
    password_not_confirmed: Les deux mots de passe saisit ne sont pas identique
    offer_id_empty: Vous devez séléctionner un abonnement

disable_user_account:
  success: Le compte utilisateur %login a bien été désactivé
  error:
    login_empty: Le champ login est obligatoire
    user_not_found: Opération impossible, utilisateur inconnu
    login_invalid: L'adresse e-mail que vous avez saisie n'est pas valide
    login_too_long: L'adresse e-mail que vous avez saisie ne doit pas dépasser 200 caractères
    account_not_active: Le compte ne peut pas être désactivé (compte non validé ou déjà désactivé)
    disable_account_failed: La désactivation du compte a échouée


activate_user_account:
  success: Félicitations, votre compte est maintenant activé
  error:
    activation_token_missing: clé d'activation manquante
    activation_token_not_uuid: clé d'activation non valide
    login_empty: Adresse email non valide
    login_invalid: Adresse email non valide
    activation_not_allowed: Le lien que vous avez utilisé n'est pas valide
    activation_failed: Une erreur est survenue durant l'activation de votre compte
    account_disabled: Votre compte est désactivé, merci de nous contacter afin que nous fassions le nécessaire pour le réactiver au plus vite.
    account_already_activated: Votre compte est déjà actif
    token_expired: Le lien que vous avez utilisé n'est plus valide

request_activation_link:
  success: Nous vous avons envoyé un nouveau lien à l'adresse %email pour activer votre compte. Ce lien expire dans 10mn
  failed: Une erreur est survenue, merci de contacter notre support si le problème persiste.
  error:
    login_missing: Le champ login est obligatoire
    login_empty: Le champ login est obligatoire
    login_invalid: Adresse email non valide


request_authentication_access:
  success: Adresse email valide, veuillez sasir votre mot de passe
  failed: Une erreur est survenue, merci de contacter notre support si le problème persiste.
  error:
    login_missing: Le champ login est obligatoire
    login_empty: Le champ login est obligatoire
    login_invalid: Adresse email non valide
    user_not_found: Utilisateur inconnu


authenticate_user:
  success: Vous êtes maintenant connecté !
  failed: Une erreur est survenue, merci de contacter notre support si le problème persiste.
  error:
    login_missing: Le champ login est obligatoire
    login_empty: Le champ login est obligatoire
    login_invalid: Adresse email non valide
    password_missing: Le mot de passe est obligatoire
    password_empty: Le mot de passe est obligatoire
    password_invalid: Mot de passe non valide
    user_not_found: Utilisateur inconnu ou compte pas encore activé

fetch_restaurant:
  success:
  failed: ressource inconnue.
  error:
    id_missing: Une erreur est survenue
    id_empty: Une erreur est survenue
    restaurant_not_found: La ressource n'a pas été trouvée

remove_restaurant:
  success: restaurant désactivé avec succès
  failed: ressource inconnue.
  error:
    id_missing: Une erreur est survenue
    id_empty: Une erreur est survenue
    restaurant_not_found: La ressource n'a pas été trouvée

enable_restaurant:
  success: restaurant activé avec succès
  failed: ressource inconnue.
  error:
    id_missing: Une erreur est survenue
    id_empty: Une erreur est survenue
    restaurant_not_found: La ressource n'a pas été trouvée
